Patch
/api/public/v1/cometa/catalog_columns/{id}/original_metadata
DWHカラムの基本メタデータを更新します。
Security
API Key: ApiKeyAuth
Header parameter nameAuthorization
認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
Path parameters
id
integer (int64) Required
カラムID
Body parameters
object
logical_name
string | null
論理名を指定します。
Example売上金額
description
string | null
説明文を指定します。
Example税込みの売上金額
status
string | null
認証ステータスを指定します。nullを指定すると未指定にリセットされます。
Valid values[
"unverified",
"verified",
"deprecated"
]
Exampleverified
Responses
200
メタデータを更新した場合に返します。
object
id
integer (int64)
DWHカラムのIDです。
Example4001
logical_name
string | null
論理名です。
Example売上金額
description
string | null
説明文です。
Example税込みの売上金額
status
string | null
認証ステータスです。
Valid values[
"unverified",
"verified",
"deprecated"
]
updated_at
string
最終更新日時 (ISO8601 / UTC) です。
Example2026-04-10T12:34:56Z
400
/api系の共通エラーレスポンス
object
message
string
Example不正なリクエストです。
401
認証エラー
object
message
string
Exampleアカウント登録もしくはログインしてください。
403
認可エラー
object
message
string
Example操作を実行する権限がありません。
404
リソースが見つかりません。
object
message
string
Exampleお探しのページが見つかりませんでした。